--------------------------------------------------------------------
-- s_push_return.lua
-- ボタン（Return）押下時の処理
--
-- author IZUMI STUDIO
-- date
--------------------------------------------------------------------
require(".\\scripts\\menu\\s_common")

-- 一旦エフェクトを削除する
Scene.KillEffect( 0, EFFECT_SPRITE )
Scene.KillEffect( 0, EFFECT_MODEL )

-- SE再生（キャンセル）
PlaySE_Button_Cancel()

-- BGM（フェードアウト）
Scene.ControlStreamSound( 0, SCONTROL_FADE_OUT, 2, "" )

-- 花、画面サブタイトルが退く演出
Scene.ExecEffectScript( 0, ".\\scripts\\menu\\e_out_flower.lua" )
Scene.ExecEffectScript( 0, ".\\scripts\\menu\\e_out_select_mode.lua" )

-- タイトルシーンへ
Scene.ChangeScene( 0, SCENE_TITLE, TRANSITION_BLACK_OUT, 20, TRANSITION_BLACK_IN, 20 )

-- ボタン押下演出
Scene.ExecEffectScript_CursorPos( 0, ".\\scripts\\menu\\e_push_button.lua" )

-- 各種変数設定
Scene.SetEnvParameterInt( 0, "EnableInput", 0 )

-- カメラ移動
Scene.SetCamera(
	 0,
	 CAMERA_FIRST[1], CAMERA_FIRST[2], CAMERA_FIRST[3],
	 CAMERA_FIRST[4], CAMERA_FIRST[5], CAMERA_FIRST[6],
	 INTERPOLATION_EASE_OUT,
	 20 )



